Feedback

type to search

Webm/ VP8 help encoding

Asked by [ Editor ] , Edited by Fernando C. Estrada [ Admin ]

Looking for free video i’m got on webmproject.org, where is most of the parameters with examples encoding webm video. Only it (+ profile vp8) does not work with ffmpeg – the only encoder in Linux, as I know. How can I produce high/normal quality webm video?

or Cancel

4 answers

1

paulcarroty [ Editor ]

Problem is solved.
ffmpeg … -vcodec libvpx   work in default.
Profile vp8 in ffmpeg 0.6 are missing in default. I took them out of this patch: http://code.google.com/p/webm/downloads/detail?name=ffmpeg-0.6libvpx-0.9.1.diff.gz&can=2&q= .
Or you can get it http://dl.dropbox.com/u/3397808/preset.tar.gz and copy in /usr/share/ffmpeg.

Using:
ffmpeg -i input.avi -vpre libvpx-720p output.webm
Profile: 1080p, 1080p50
60, 720p, 720p50_60, 360p.

or Cancel
5

evgeni [ Editor ]

About a week ago, I encoded videos via

ffmpeg … -vcodec libvpx
on my Debian Sid box (libvpx0 package is also available in Squeeze) using ffmpeg 0.6 from Experimental ;) [Reading the above links seems it won’t work with 0.5 in Sid]
or Cancel
3

hadret [ Moderator ]

I think this might come handy: http://blogs.gnome.org/uraeus/2010/05/19/webm-and-gstreamer/
As far as I can see, there’s vp8 support already in gstreamer-bad-plugins, but since version 0.10.20, which is available in Debian experimental branch: http://www.gstreamer.net/documentation/plugins.html + this announcement: http://gstreamer.freedesktop.org/releases/gst-plugins-bad/0.10.20.html

There's also work on full support of vp8/webm in FFmpeg and there's already some working stuff, but in 0.6 release, which is unavailable in Debian ATM: http://ffmpeg.org/releases/ffmpeg-0.6.release

or Cancel
1

craigevil

From the ffmpeg Release Notes: 0.6 “Works with HTML5” June, 2010

ffmpeg: Installed: 5:0.6~svn20100726-0.1 Candidate: 5:0.6~svn20100726-0.1 Version table: *** 5:0.6~svn20100726-0.1 0

    500 http://www.debian-multimedia.org/ unstable/main i386 Packages
    100 /var/lib/dpkg/status
 4:0.6-2 0
    101 http://ftp.debian.org/debian/ experimental/main i386 Packages

Use ffmpeg either from exp or the dmm repo.

gstreamer0.10-plugins-bad: Installed: 0.10.19-2+b2 Candidate: 0.10.19-2+b2 Version table:

 0.10.20-2 0
    101 http://ftp.debian.org/debian/ experimental/main i386 Packages

*** 0.10.19-2+b2 0

    500 http://mirrors.kernel.org/debian/ sid/main i386 Packages
or Cancel

Your answer

You need to join Debian to complete this action, click here to do so.